# $Revision: 1.48.2.1 $, $Date: 2003/05/28 10:31:53 $
%include        /usr/lib/rpm/macros.perl
Summary:	RRDtool - round robin database
Summary(pl):	RRDtool - baza danych typu round-robin
Summary(pt_BR):	Round Robin Database, uma ferramenta para construo de grficos
Summary(ru):	RRDtool -    " "
Summary(uk):	RRDtool -   Ҧ   Ҧ 
Name:		rrdtool
Version:	1.0.42
Release:	1
License:	GPL
Group:		Applications/Databases
Source0:	http://ee-staff.ethz.ch/~oetiker/webtools/rrdtools/pub/%{name}-%{version}.tar.gz
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-perl-install.patch
Patch2:		%{name}-acfix.patch
Patch3:		%{name}-system-libs.patch
URL:		http://ee-staff.ethz.ch/~oetiker/webtools/rrdtol/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gd-devel >= 1.3
BuildRequires:	libpng-devel >= 1.0.9
BuildRequires:	libtool
BuildRequires:	perl-devel >= 5.6.1
#BuildRequired:	tcl-devel
BuildRequires:	zlib-devel >= 1.1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store
and display time-series data (i.e. network bandwidth, machine-room
temperature, server load average). It stores the data in a very
compact way that will not expand over time, and it presents useful
graphs by processing the data to enforce a certain data density. It
can be used either via simple wrapper scripts (from shell or Perl) or
via frontends that poll network devices and put a friendly user
interface on it.

%description -l pl
RRD jest akronimem Round Robin Database. Jest to system pozwalajcy na
skadowanie i wywietlanie czasowych serii danych (np. przepustowo
sieci, temperatura w pomieszczeniu, obcienie servera). Skaduje dane
w "skondensowanej" postaci, ktra nie rozrasta si z biegiem czasu
oraz pozwala na produkowanie wykresw z uytecznymi danymi. Moe by
uywane poprzez prosty skrypcik (shell lub perl), frontendy czy inne
interfejsy uytkownika.

%description -l pt_BR
RRD e' um sistema para armazenar e apresentar series temporais de
dados (i.e. utilizao de rede, temperaturas, cargas em servidores).
Os dados so armazenados em uma forma compacta que no se expande com
o tempo, e grficos podem ser apresentados processando-se esses dados.
RRD pode ser utilizado com wrapper scripts (em shell ou Perl) ou
atravs de front-ends.

%description -l ru
RRD -   "Round Robin Database" (   "
"). RRD -       
   (    
,    ,   ). 
     ,     
          
   .   
    (shell, perl, etc)    ,
        
  .

%description -l uk
 RRD -  Φ  Round Robin Database. RRD -  
Ҧ   Ҧ  (,  ,
 ,  ). RRD Ҧ Φ 
  ,  ͦ    ¦դ  , 
դ Φ Ʀ  Φ  ,  
Ҧ ݦΦ ¦  Ӧ. RRD    
Ԧ wrapper-,    ,   צ
ϧ   Φ  .

%package devel
Summary:	RDDTools development
Summary(pl):	Narzdzia programistyczne pakietu RRDtools
Summary(pt_BR):	Bibliotecas e arquivos de incluso da librrd
Summary(ru):	RRDtool -    " ".  ,   
Summary(uk):	RRDtool - ¦̦Φ ̦   Ҧ
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
RDDTools development files.

%description devel -l pl
Narzdzia programistyczne pakietu RRDtools.

%description devel -l pt_BR
RRD e' um sistema para armazenar e apresentar series temporais de
dados (i.e. utilizao de rede, temperaturas, cargas em servidores).

Este pacote contem arquivos de desenvolvimento do RRD.

%description devel -l ru
RRD -   "Round Robin Database" (   "
"). RRD -       
   (    
,    ,   ).

    ,   
 .

%description devel -l ru
RRDtool -     .

%package static
Summary:	RDDTools static library
Summary(pl):	Statyczne biblioteki RRDtools
Summary(pt_BR):	Biblioteca esttica librrd
Summary(ru):	RRDtool -    " ".  
Summary(uk):	Φ ¦̦ RRDtool
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
RDDTools static library.

%description static -l pl
Statyczne biblioteki RRDtools.

%description static -l pt_BR
RRD e' um sistema para armazenar e apresentar series temporais de
dados (i.e. utilizao de rede, temperaturas, cargas em servidores).

Este pacote contem a biblioteca esttica do RRD.

%description static -l ru
RRD -   "Round Robin Database" (   "
"). RRD -       
   (    
,    ,   ). 
     , 
   .

%description static -l uk
Φ ¦̦   ,   RRDtool.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader} -I config
%{__automake}
%configure \
	--enable-shared=yes \
	--with-perl=%{__perl} \
	--without-tclib
# uncoment this line ONLY IF tcl package is ready.
#	--with-tclib=%{_prefix}

%{__perl} -pi -e 's/--localdir=/-B /g' Makefile */Makefile */*/Makefile
%{__perl} -pi -e 's/--localdir=/-B /g' Makefile.am */Makefile.am */*/Makefile.am

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# this shoudn't be required...
%{__make} site-perl-install \
	DESTDIR=$RPM_BUILD_ROOT

(cd $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version};
mv -f ../../../examples/* .;
mv -f ../../../contrib .)

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rrd*
%attr(755,root,root) %{_bindir}/trytime
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{perl_sitelib}/RRDp.pm
%{perl_sitearch}/*.pm
%dir %{perl_sitearch}/auto/RRDs
%{perl_sitearch}/auto/RRDs/RRDs.bs
%attr(755,root,root) %{perl_sitearch}/auto/RRDs/RRDs.so
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/librrd.so
%{_libdir}/librrd.la
%{_includedir}/*
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/librrd.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rrdtool.spec,v $
Revision 1.48.2.1  2003/05/28 10:31:53  ankry
- merges from head:
  -- updated to 1.0.42
  -- run autoheader too
  -- added system-libs patch to use system zlib, libpng and gd

Revision 1.48  2003/01/19 19:31:51  radek
- version 1.0.40
- hack: "s/--localdir=/-B /g" in auto{conf,header} calls (to build in Ac)

Revision 1.47  2002/11/26 10:57:11  ankry
- 2nd .la file attributes massive attack

Revision 1.46  2002/10/09 13:14:46  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.45  2002/07/23 22:10:56  qboosh
- added acfix patch - don't place newlines in CFLAGS, it breaks config.status
- release 2

Revision 1.44  2002/06/24 11:51:31  kloczek
- updated to 1.0.39 (bug fixes),
- updated %files.

Revision 1.43  2002/06/23 20:32:35  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/06/07 10:52:10  jajcus
- Release: 2
- added mising header file and manual pages from section 3

Revision 1.41  2002/05/21 23:14:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.40  2002/05/02 19:50:39  kloczek
- updated to 1.0.37.

Revision 1.39  2002/04/12 19:38:57  kloczek
- updated to 1.0.35 (bugfix version).

Revision 1.38  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/03/12 19:01:13  kloczek
- merge translations from KSI.

Revision 1.36  2002/03/12 18:38:01  orzech
- "Major security fixes"

Revision 1.35  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.34  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.33  2002/01/18 02:14:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.32  2001/12/12 16:57:51  blues
- release 6
- pl translation added
STBR

Revision 1.31  2001/10/05 10:05:10  kloczek
- merge translations stolen from CNV.

Revision 1.30  2001/10/05 10:02:10  kloczek
- spec adapterized.

Revision 1.29  2001/10/03 16:40:14  filon
- added version information for requires in devel and static subpkg
- release 5

Revision 1.28  2001/05/05 17:48:39  kloczek
- make libtool hapy.

Revision 1.27  2001/05/05 17:35:59  kloczek
- typo.

Revision 1.26  2001/05/05 17:34:50  kloczek
- added BuildRequires for perl-devel >= 5.6.1.

Revision 1.25  2001/04/17 12:19:10  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.24  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.23  2001/04/13 22:02:23  baggins
- release 3
- *.la files was listed twice

Revision 1.22  2001/04/12 14:41:10  baggins
- release 2
- added perl-install patch
- install perl stuff in %%{perl_sitearch}

Revision 1.21  2001/03/29 07:50:29  mis
- autoupdated to 1.0.33

Revision 1.20  2001/02/21 19:10:14  kloczek
- typo.

Revision 1.19  2001/02/21 19:09:26  kloczek
- added automake, autoconf to BuildRequires,
- added using %%{_examplesdir} macro in %install.

Revision 1.18  2001/02/21 18:54:37  wiget
updated to 1.0.32

Revision 1.17  2000/12/01 15:04:22  cieciwa
- added %%Requires: perl >= 5.005

Revision 1.16  2000/10/25 00:04:23  kloczek
- adapterized and some massive cosmetic changes :)

Revision 1.15  2000/10/24 23:37:52  misiek
include perl macros

Revision 1.14  2000/10/24 22:32:37  misiek
removed one of two clean sections

Revision 1.13  2000/10/08 19:59:51  waszi
- partially rewrited
- cleanups
- added rrdtool-makefile.patch

Revision 1.12  2000/10/07 17:08:25  cieciwa
- next typo

Revision 1.11  2000/10/07 17:00:43  cieciwa
- typo.

Revision 1.10  2000/10/07 16:38:38  cieciwa
- added package - devel and static,
- changed man location to /usr/share/man,
- changed examples location to /usr/src/examples/rrdtools,
- moved contrib to /usr/src/examplec/rrdtool/contrib.

Revision 1.9  2000/10/06 12:51:18  cieciwa
- next update, version 1.0.28,
- change source location.

Revision 1.8  2000/10/06 12:34:53  cieciwa
- typo.

Revision 1.7  2000/10/06 12:31:41  cieciwa
- updated to version 1..0.13,
- fixed "Source0:" location.

Revision 1.6  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 11:46:26  wiget
- some cleanups
- updated to 1.0.7
NFY

Revision 1.1  1999/11/04 11:22:43  wiget
- raw spec

* Sat Aug 14 1999 Tobi
- Released 1.0.6
- Fixed install location of html pages ... they go to ../html now ...
- Fixed CDEF parser ... it should now be fine with a,-1,*
- Updated rrdgraph manpage to be in line with the changes I made to alexs INF patch when integrating it ... sorry alex

* Fri Aug 13 1999 Tobi
- Released 1.0.5
- Tested portability of 1.0.5 release on Solaris, Linux and FreeBSD
- changed IEEE tests ... now they tell you what fails and they are less picky

* Thu Aug 12 1999 Alex + Tobi
- added INF and NEGINF operator to CDEF rpn functions. This pushes an positive or negative infinite number onto the stack respectively ... when graphing, they get replaced by a value equivalent to the upper or lower boundery of the graphing area ...

* Tue Aug 10 1999 Tobi
- Integrated Blairs autoconf ... added dist and install support

* Mon Aug 09 1999 Blair
- Added automake/libtool support ... with --enable-shared you can now get a shared library version of rrdtool ...

* Fri Aug 06 1999 Tobi
- Released 1.0.4
- made rrdcgi parser more robust to invalid inputfiles.

* Wed Aug 04 1999 Tobi + Philippe
- in rrd_cgi I was freeing cgi arguments. Fixed ...

* Tue Aug 03 1999 Tobi
- added % operator to CDEF rpn functions ...  this should allow for some funky operations in connection with TIME
- added --enable-site-perl option to configure for people who want the RRD{s,p} perl modules installed in their site-perl directories
- do not try to compile perl modules if no perl is found

* Mon Aug 03 1999 Hermann Hueni <hueni@glue.ch>
- drop "rb" open mode for non win32 architectures

* Fri Jul 30 1999 Tobi
- Released 1.0.3
- Fixed default start time in rrd_create.
- Start time of new rrds was set to 1970.01.01 causing VERY long update times for the initial update ...

* Fri Jul 30 1999 Tobias Weingartner <weingart@cs.ualberta.ca>
- spell fixes for documentation

* Wed Jul 28 1999 Tobi
- Released 1.0.2
- Added configure checks for reallocs ability to deal with NULL pointers this helps compiling on SunOS
- Added check for memmove availablility. Replace with bcopy if necessary.
- Added better IEEE tests ...
- Added Dynamic stack allocation to RPN in CDEF
- fixed about 1000 memmory leaks in rrdcg. Wonder it was working before ...

* Tue Jul 27 1999 Tobi & Tobias Weingartner <weingart@cs.ualberta.ca>
- Added DUP, POP and EXC operator for CDEF.

* Tue Jul 27 1999 Sasha Mikheev <sasha@aldan.netvision.net.il>
- alternate grid and scaling functions for rrdgraph. Use --alt-y-grid and --alt-autoscale to activate.

* Mon Jul 26 1999 Tamas Kovacshazy <khazy@mit.bme.hu>
- improved vc++ project files for rrdtool

* Mon Jul 26 1999 Tobi
- added ranlib to cgi png z and gd library ...

* Fri Jul 23 1999 Tobi
- released 1.0.1
- plugged memory leek in parsetime.c
- fixed serious error in data_reduce function. This was causing the graph to intermittently disappear. It was also displaying inaccurate values for spiky data, if this data had to be reduced due to the width of the image as compared to the resolution of the RRA data.  (does this fix the errors seen by cricket users ????)

* Thu Jul 22 1999 Seth Lepzelter <slepzelt@cs.oberlin.edu>
- DEC needs -mieee to do proper IEEE math ... added configure test

* Thu Jul 22 1999 Philippe.Simonet@swisscom.com
- vc++ project files for rrdtool

* Mon Jul 19 1999 Alex van den Bogaerdt <alex@ergens.op.Het.Net>
- rrd file icon contributed

* Mon Jul 19 1999 Tobi
- added strcasecmp function into parsetime as this is not available on all systems.

* Thu Jul 15 1999 Tobi
- Released first 'stable' version of RRDtool after almost 18 Month of 'development'
